﻿html {
    position: relative;
    min-height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    font-family: "Helvetica Neue",Helvetica,Arial,sans-serif !important;
    background-color: #fbfbfb
}

h1 {
    font-size: 1.75rem;
}

.body-content {
    padding: 75px 175px 0 320px;
    /*margin-top: -100vh;*/
}

.navbar-brand {
    padding: 11px;
    font-family: Helvetica Neue, Helvetica, Arial, sans-serif;
    margin-left: -0.65em;
}

.navbar {
    padding: 0px;
}

.bg-dark{
    background-color: red;
}

#logo-title {
    font-size: 16px;
    color: #dddddd;
    line-height: 14px;
    font-weight: bold;
    text-decoration: none;
    padding-top: 2px;
    vertical-align: bottom;
}

#logo-subtitle {
    font-size: 18px;
    padding-left: 2px;
    line-height: 14px;
    font-weight: bold;
    text-decoration: none;
    color: #858585;
    padding-top: 0px;
    vertical-align: bottom;
}

#logo-dev {
    font-size: 18px;
    padding-left: 2px;
    line-height: 14px;
    font-weight: bold;
    text-decoration: none;
    color: #03a9f4;
    padding-top: 0px;
    vertical-align: bottom;
}

#statistics {
    margin-top: 100px;

}

.material-icons.md-light {
    color: rgba(255, 255, 255, 1);
}
.material-icons.md-light:hover {
    color: #000;
    background-color: rgba(255, 255, 255, 1);
}

.material-icons.icon-marketing {
    font-size: 100px;
}

.nav-item {
    color: #E7E7EF;
    padding: 10px;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-weight: bold;
}
.nav-item:hover {
    color: #000;
    background-color: rgba(255, 255, 255, 1);
    padding: 10px;
    text-decoration: none;
}

.form-control {
    background-image: none;
}
    .form-control:hover {
            background-image: none;
            outline: none;
            border-color: inherit;
            -webkit-box-shadow: none;
            box-shadow: none;
      }
    .form-control:focus {
        background-image: none;
        outline: none;
        border-color: inherit;
        -webkit-box-shadow: none;
        box-shadow: none;
    }
a {
    text-decoration: none;
    color: #5bc0de;
}
    a:hover {
        text-decoration: none;
        color: #5bc0de;
    }

.page-footer {
    margin: auto 0 0 0;
    padding: 40px;
    font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
    background-color: #000000;
    display: block;
    color: #ffffff !important;
    z-index: 1;
}

    .page-footer a {
        color: #ffffff !important;
        text-decoration: none !important;
    }

/* 'KEYS' VIEW
-------------------------------------------------- */
.tableHeader {
    background-color: #e9e9e9;
    margin-bottom: 15px;
    height: 2.5em;
    display: flex;
    align-items: center;
    display: -ms-flexbox;
    display: -webkit-flex;
    -ms-flex-align: center;
    -webkit-align-items: center;
    -webkit-box-align: center;
}

.tableRow {
    height: 1.5em;
}

.buttonSection a {
    color: #444444;
    margin-left: 25px !important;
}

@media (max-width: 1149px) {

    .tableRow{
        font-size: 81%;
    }
}

.keyText {
    height: 22px;
    background-color: #f3f3ff;
    padding: 0 5px 0 5px;
    border-radius: 3px;
}

.copyButton {
    color: #333!important;
    background-color: transparent;
    border: 0;
    box-shadow: none !important;
    cursor: pointer;
    margin-left: 10px;
}

.copyButton i {
    float: right;
    font-size: 1.3em !important;
}

.testKeyButton {
    background-color: #3188D9;
    color: white;
    border-radius: 5px;
    font-size: 12px !important;
}

.menuButton {
    width: 3px;
    padding: 0 20px 0 0;
}

.createButton {
    background-color: #444444;
    color: white;
    border-radius: 5px;
    display: flex;
    align-items: center;
}

@media (max-width: 767px) {

    .createButton {
        margin-top: 30px !important;
        width: 40px;
        height: 40px;
        padding: 0 0 0 8px ;

    }
}

/* CUSTOMIZE THE CAROUSEL
-------------------------------------------------- */

/* Carousel base class */
.carousel {
    margin-bottom: 4rem;
}
/* Since positioning the image, we need to help out the caption */
.carousel-caption {
    bottom: 3rem;
    z-index: 10;
    color: black;
}

/* Declare heights because of positioning of img element */
.carousel-item {
    height: 25rem;
    background-color: #dddddd;
}

 


/* MARKETING CONTENT
-------------------------------------------------- */

/* Center align the text within the three columns below the carousel */
.marketing .col-lg-4 {
    margin-bottom: 1.5rem;
    text-align: center;
}

.marketing h2 {
    font-weight: 400;
}

.marketing .col-lg-4 p {
    margin-right: .75rem;
    margin-left: .75rem;
}


/* Featurettes
------------------------- */

.featurette-divider {
    margin: 5rem 0; /* Space out the Bootstrap <hr> more */
}

/* Thin out the marketing headings */
.featurette-heading {
    font-weight: 300;
    line-height: 1;
    letter-spacing: -.05rem;
}

.TELogo {
    margin-left: -6px;
    /*margin-bottom: 55px;*/
}

/*Sidebar*/
#show-sidebar {
    margin-top: 60px;
    z-index: 2;
    padding-left: 18px;
    width: 60px;
    background-color: #333;
    border-radius: 0 8px 8px 0;
    position: fixed;
}

#burger {
    vertical-align: bottom;
    padding: 3px;
    border-radius: 3px;
}

nav {
    position: sticky;
    top: 0;
    width: 250px;
    z-index: 1;
}

nav a {
    text-decoration: none;
    color: #fff;
}
    nav a:hover {
        text-decoration: none;
        color: #fff;
    }

nav img {
    margin-bottom: 50px;
}

.sideBar {
    /*height: 100vh;*/
    padding: 10px 0 0 20px;
    background-color: #333;
    color: #fff;
    width: 255px;

    padding-bottom: 9em;

    height: 100%;
    position: fixed;
    top: 0;
    left: 0;

    overflow-y: auto;

    -webkit-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    -ms-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    transition: all 0.3s ease;
}

.hideSideBar {
    left: -300px !important;
}

.sideBar ul {
    list-style-type: none;
    padding: 0;
    margin-left: 8px;
}

/*.sideBar .sideBarPages {
    margin-left: 0;
}*/

.sideBar .sideLinks {
    padding-left: 6px;
}

.sideBarBtns {
    padding-left: 7px;
}

.sideBar hr {
    margin: 20px 0;
    border-top: 1px dashed #666;
    margin-left: -20px;
}

.sideBarPages li {
    font-weight: 400;
    display: block;
    line-height: 28px;
    transition: background-color 0.125s linear;
}

.sideBarPages a {
    display: block;
    padding: 2px;
}

.sideBarPages li:hover {
    background-color: #000;
}

nav i {
    font-size: 1.2rem !important;
    vertical-align: text-bottom;
    margin: 0 10px 0 5px;
}

nav i:hover {
    background-color: transparent !important;
    color: #fff !important;
}
/*Sidebar End*/

.sectionTitle {
    font-size: 1.2rem;
}

.bodySection {
    margin-top: 30px;
    border: 1px solid #ddd;
    padding: 15px;
}

.subBodySection {
    border: 1px solid #eee;
    padding: 10px 20px 5px 20px;
}

.prettyprint {
    background-color: #333 !important;
    margin: 0 0 10px 0 !important;
}


/*HISTORY*/
.main-div {
    margin-top: 10px;
}
.box {
    margin-right: 20px;
    margin-bottom: 20px;
    border: 0.1px solid #f7f7f7;
    padding: 15px;
    background: white;
    border-radius: 5px;
    box-shadow: rgba(0, 0, 0, 0.15) 0px 2px 4px;
}
.box-small {
    height: 7.42em;
    margin-bottom: 10px;
}

.main-label {
    font-size: 1.55em;
    font-weight: bold;
}

.note {
    font-size: 0.85em;
    color: #999;
}

.box-label{
    font-size: 1.1em !important;
    font-weight: bold !important;
    color: black !important;

}

.legendButton {
    color: #999 !important;
    font-size: 1em !important;
    text-transform: unset !important;
    cursor: pointer;
}

.popover {
    min-width: 310px;
}

/*higcharts*/
.highcharts-figure,
.highcharts-data-table table {
    min-width: 150px;
    max-width: 660px;
    margin: 1em auto;
}

#container {
    height: 400px;
}
.highcharts-data-table table {
    font-family: Verdana, sans-serif;
    border-collapse: collapse;
    border: 1px solid #ebebeb;
    margin: 10px auto;
    text-align: center;
    width: 100%;
    max-width: 500px;
}

.highcharts-data-table caption {
    padding: 1em 0;
    font-size: 1.2em;
    color: #555;
}

.highcharts-data-table th {
    font-weight: 600;
    padding: 0.5em;
}

.highcharts-data-table td,
.highcharts-data-table th,
.highcharts-data-table caption {
    padding: 0.5em;
}

.highcharts-data-table thead tr,
.highcharts-data-table tr:nth-child(even) {
    background: #f8f8f8;
}

.highcharts-data-table tr:hover {
    background: #f1f7ff;
}

/* RESPONSIVE CSS
-------------------------------------------------- */

@media (max-width: 640px) {

    .body-content {
        padding: 75px 25px 0 75px;
    }
}

@media (max-width: 960px) and (min-width: 640px) {

    .body-content {
        padding: 75px 50px 0 300px;
    }
}

.input-group-append .btn {
    z-index: 0 !important;
}